import React from 'react';
import ReactDOM from 'react-dom'; // console.log(React);
import { arc } from 'd3'; // console.log(arc);

const width=960;
const height=500;
const centerX=width/2;
const centerY=height/2;
const strokeWidth=20;
const eyeOffsetX = 90;
const eyeOffsetY = 100;
const eyeRadius = 40;
const mouthWidth = 20;
const mouthRadius = 140;

const mouthArc = arc()
	.innerRadius(mouthRadius)
	.outerRadius(mouthRadius + mouthWidth)
	.startAngle(Math.PI / 2)
	.endAngle(Math.PI * 3 / 2);

//define react component
const BackgroundCircle = ({ radius}) => ( // props : react props w/o using es6 refactoring
  <circle
    r={radius} // props.radius (const {var1, var2} = obj (= {var1; var2};))
    fill="yellow"
    stroke="black"
    stroke-width={strokeWidth}
  />
);

const App = () => ( // React component returns JSX
	<svg width={width} height={height}> // {} to javascript
      <g transform={`translate(${centerX},${centerY})`}>
        <BackgroundCircle radius={centerY - strokeWidth/2}/>
        <circle
          cx={-eyeOffsetX}
          cy={-eyeOffsetY}
          r={eyeRadius}
        />
        <circle
          cx={eyeOffsetX}
          cy={-eyeOffsetY}
          r={eyeRadius}
        />
        <path d={mouthArc()}/>
    </g>
    </svg>
);
console.log(mouthArc());

const rootElement = document.getElementById('root');
ReactDOM.render(<App />,rootElement);